Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.cs	(revision 51)
@@ -88,12 +88,6 @@
         }
 
         /// <summary>
-        /// 修正モード名称
-        /// </summary>
-        private static string EditModeStringNew = "新規";
-        private static string EditModeStringEdit = "修正";
-
-        /// <summary>
         /// 工事詳細台帳計算対象名称
         /// </summary>
         private string[] PersonLedgerDivNoName = new string[] { "計算対象外", "計算対象" };
@@ -137,6 +131,11 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
@@ -154,6 +153,15 @@
         {
             set { m_PasswordInputFlg = value; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -235,6 +243,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             m_bEventStop = false;
         }
         #endregion
@@ -273,6 +287,8 @@
                 // データ登録
                 if (!PersonInChargeMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("外注者情報データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -314,26 +330,48 @@
                 if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
                     , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
 
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
-                // 
-                string strWhere = string.Format(" Where PersonCode = {0}", m_dispControl[(int)Dispcount.PersonCode].Text.ToString());
+                picDB.connect(); picDB.beginTran();
+
+                PersonInChargeMaster workList = new PersonInChargeMaster();
+                // データ存在確認
+                int PersonCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.PersonCode].Text);
+                string strWhere = string.Format(" Where PersonCode = {0}", PersonCode);
                 // データ読込
-                if (!picDB.SelectAction(strWhere, ref workList))
+                if (!picDB.SelectAction(strWhere, ref workList, false))
                 {
                     MessageBox.Show("削除確認に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
+
                 // 終了年月日
-                workList[0].StartDate = DateTime.Now;
+                if (!picDB.UpdateFeild(PersonCode, (int)IOMPersonInCharge.ColumnCnt.EndDate, DateTime.Now, false))
+                {
+                    picDB.rollback();
+                    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
                 // 削除フラグ
-                workList[0].DeleteFlg = 1;
-                // データ更新
-                if (!picDB.UpdateAction(strWhere, workList[0]))
+                if (!picDB.UpdateFeild(PersonCode, (int)IOMPersonInCharge.ColumnCnt.DeleteFlg, 1, false))
                 {
+                    picDB.rollback();
                     MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
+                picDB.commit();
 
+                CommonMotions.RemoveEndMessage("外注者情報データ");
+
+                //// 終了年月日
+                //workList[0].EndDate = DateTime.Now;
+                //// 削除フラグ
+                //workList[0].DeleteFlg = 1;
+                //// データ更新
+                //if (!picDB.UpdateAction(strWhere, workList[0]))
+                //{
+                //    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                //    return;
+                //}
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -405,7 +443,7 @@
                 m_dispControl[(int)Dispcount.PersonCode].Text = string.Format("{0:00000000}", personcode + 1);
             }
             // 新規時はパスワードを同じにする
-            if (m_dispControl[(int)Dispcount.EditMode].Text.Trim().Equals(EditModeStringNew))
+            if (m_dispControl[(int)Dispcount.EditMode].Text.Trim().Equals(CommonDefine.EditModeStringNew))
             {
                 m_dispControl[(int)Dispcount.PassWord].Text = m_dispControl[(int)Dispcount.PersonCode].Text;
             }
@@ -477,7 +515,17 @@
                 DispMentenanceData();
 
                 // モード表示
-                m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringEdit;
+                if (m_EditLock)
+                    m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringRef;
+                else
+                    m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
+
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
                 // フォーカスセット
                 m_dispControl[(int)Dispcount.PersonName].Focus();
             }
@@ -530,7 +578,7 @@
             ControlLock();
 
             // モード表示
-            m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringNew;
+            m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringNew;
             // フォーカスセット
             m_dispControl[(int)Dispcount.PersonName].Focus();
         }
@@ -916,6 +964,7 @@
                 string strWhere = "";
                 if (strDate.Length != 0)
                 {
+                    //strWhere = string.Format(" Where TO_CHAR(StartDate,'YYYY/MM') = '{0}'", strDate);
                     strWhere = string.Format(" Where DATE_FORMAT(StartDate,'%Y/%m') = '{0}'", strDate);
                 }
                 iRet = picDB.SelectMaxPersonCodeCount(strWhere);
@@ -1288,5 +1337,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.designer.cs	(revision 51)
@@ -135,7 +135,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 11;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 51)
@@ -79,9 +79,23 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -104,7 +118,7 @@
         }
         #endregion
 
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -125,6 +139,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタンクリック
         /// <summary>
         /// 終了ボタンクリック
         /// </summary>
@@ -134,7 +151,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region 初期フォームロード
         /// <summary>
         /// 初期フォームロード
         /// </summary>
@@ -154,9 +173,17 @@
 
             cmbApprovalList.Focus();
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             m_bInitFlg = false;
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -166,7 +193,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -185,6 +214,8 @@
                 // データ登録
                 if (!ApprovalMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("承認経路データ");
+
                 // 表示行退避
                 int iIndex = dgvGridData.FirstDisplayedScrollingRowIndex;
 
@@ -211,7 +242,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 削除ボタン押下
         /// <summary>
         /// 削除ボタン押下
         /// </summary>
@@ -236,6 +269,8 @@
                 string strDel = AppDB.CreatePrimarykeyString(iApprovalCode, iDepartmentCode);
                 if (!AppDB.DeleteAction(strDel)) return;
 
+                CommonMotions.RemoveEndMessage("承認経路データ");
+
                 // クリア
                 cmbApprovalList.SelectedIndex = -1;
                 cmbDepartment.SelectedIndex = -1;
@@ -255,7 +290,9 @@
                 AppDB.close(); AppDB = null;
             }
         }
+        #endregion
 
+        #region Entryキーでの移動処理
         /// <summary>
         /// Entryキーでの移動処理
         /// </summary>
@@ -276,6 +313,9 @@
                 e.SuppressKeyPress = true;
             }
         }
+        #endregion
+
+        #region データ選択ボタン押下
         /// <summary>
         /// データ選択ボタン押下
         /// </summary>
@@ -285,6 +325,9 @@
         {
             MasterToDataDrid();
         }
+        #endregion
+
+        #region データ選択解除ボタン押下
         /// <summary>
         /// データ選択解除ボタン押下
         /// </summary>
@@ -294,6 +337,9 @@
         {
             GridDataDelete();
         }
+        #endregion
+
+        #region 承認コンボボックス変化時
         /// <summary>
         /// 承認コンボボックス変化時
         /// </summary>
@@ -304,6 +350,9 @@
             if (m_bInitFlg) return;
             DispMentenanceData();
         }
+        #endregion
+
+        #region 部署コンボボックス変化時
         /// <summary>
         /// 部署コンボボックス変化時
         /// </summary>
@@ -314,6 +363,9 @@
             if (m_bInitFlg) return;
             DispMentenanceData();
         }
+        #endregion
+
+        #region アップキー押下
         /// <summary>
         /// アップキー押下
         /// </summary>
@@ -334,6 +386,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region ダウンキー押下処理
         /// <summary>
         /// ダウンキー押下処理
         /// </summary>
@@ -356,6 +411,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region データグリッドダブルクリック
         /// <summary>
         /// データグリッドダブルクリック
         /// </summary>
@@ -365,6 +423,9 @@
         {
             GridDataDelete();
         }
+        #endregion
+
+        #region マスターグリッドダブルクリック
         /// <summary>
         /// マスターグリッドダブルクリック
         /// </summary>
@@ -376,7 +437,7 @@
         }
         #endregion
 
-        #region プライベートメソッド
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -417,7 +478,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 承認経路マスタ登録
         /// <summary>
         /// 承認経路マスタ登録
         /// </summary>
@@ -470,6 +533,9 @@
                 AppMDB.close(); AppMDB = null;
             }
         }
+        #endregion
+
+        #region 初期時データ取得
         /// <summary>
         /// 初期時データ取得
         /// </summary>
@@ -532,6 +598,9 @@
                 dmDB.close(); dmDB = null;
             }
         }
+        #endregion
+
+        #region 更新データ表示処理
         /// <summary>
         /// 更新データ表示処理
         /// </summary>
@@ -607,6 +676,12 @@
                     if (AddrowCnt != 0) dgvGridData.Rows.Add(AddrowCnt);
                 }
 
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
                 m_bChengeAns = false;
             }
             catch (Exception ex)
@@ -621,6 +696,9 @@
 
             }
         }
+        #endregion
+
+        #region 承認区分コンボボックスセット
         /// <summary>
         /// 承認区分コンボボックスセット
         /// </summary>
@@ -649,6 +727,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 部署コンボボックス初期表示処理
         /// <summary>
         /// 部署コンボボックス初期表示処理
         /// </summary>
@@ -688,6 +769,9 @@
                 dmDB.close(); dmDB = null;
             }
         }
+        #endregion
+
+        #region マスタグリッドよりデータグリッドへの移動
         /// <summary>
         /// マスタグリッドよりデータグリッドへの移動
         /// </summary>
@@ -746,6 +830,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region データグリッド行削除
         /// <summary>
         /// データグリッド行削除
         /// </summary>
@@ -772,5 +859,29 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                dgvGridData.ReadOnly = true;
+                dgvMaster.Visible = false;
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataSelect.Visible = false;
+                btnDataUnSelect.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.designer.cs	(revision 51)
@@ -121,7 +121,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 11;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             this.btnDataDelete.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmApprovalRoute_KeyDown);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/BusinessType/FrmBusinessTypeMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/BusinessType/FrmBusinessTypeMaster.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/BusinessType/FrmBusinessTypeMaster.cs	(revision 51)
@@ -75,27 +75,12 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
-        #endregion
 
-        #region コンストラクタ
-        public FrmBusinessTypeMaster()
-        {
-            InitializeComponent();
-        }
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
-        #region デストラクタ
-        ~FrmBusinessTypeMaster()
-        {
-            try
-            {
-                GC.Collect();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
 
         #region プロパティ
         /// <summary>
@@ -119,9 +104,40 @@
         {
             get { return m_BusinessTypeCode; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
+        #region コンストラクタ
+        public FrmBusinessTypeMaster()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmBusinessTypeMaster()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region イベントメソッド
+        
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -142,6 +158,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -159,7 +178,9 @@
             //m_EndButton = true;
             Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -180,8 +201,16 @@
 
             // ボタン表示の制御
             ButtonVisble(this);
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -193,7 +222,9 @@
             dgvMaster[(int)DispColumn.DisplayOrder, iIndex].Value = "";
             dgvMaster[(int)DispColumn.NameString, iIndex].Value = "";
         }
+        #endregion
 
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -212,6 +243,9 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+        #endregion
+
+        #region 行追加ボタン押下
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -290,7 +324,9 @@
             //dgvMaster.FirstDisplayedScrollingRowIndex = iIndex;
             //dgvMaster.CurrentCell = dgvMaster[0, iIndex];
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -300,7 +336,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region セル値変化
         /// <summary>
         /// セル値変化
         /// </summary>
@@ -320,6 +358,9 @@
             // 変更フラグON
             m_bChengeAns = true;
         }
+        #endregion
+
+        #region 行削除ボタン押下
         /// <summary>
         /// 行削除ボタン押下
         /// </summary>
@@ -351,6 +392,8 @@
 
                 uDB.commit();
 
+                CommonMotions.RemoveEndMessage("法人格情報行");
+
                 // データ表示
                 if (!DispGridData()) return;
 
@@ -369,7 +412,9 @@
                 uDB.close(); uDB = null;
             }
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -389,7 +434,10 @@
                 int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
 
                 // データ登録
-                BusinessTypeMasterDataEntry();
+                if (BusinessTypeMasterDataEntry())
+                {
+                    CommonMotions.EntryEndMessage("法人格情報");
+                }
 
                 // データ表示
                 if (!DispGridData()) return;
@@ -405,7 +453,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region IMEのコントロール
         /// <summary>
         /// IMEのコントロール
         /// </summary>
@@ -434,7 +484,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region アップキー押下
         /// <summary>
         /// アップキー押下
         /// </summary>
@@ -461,6 +513,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region ダウンキー押下処理
         /// <summary>
         /// ダウンキー押下処理
         /// </summary>
@@ -487,7 +542,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region セルクリック
         /// <summary>
         /// セルクリック
         /// </summary>
@@ -495,9 +552,14 @@
         /// <param name="e"></param>
         private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
         {
+            // 参照は処理しない
+            if (m_EditLock) return;
+
             dgvMaster_CellDoubleClick(sender, e);
         }
+        #endregion
 
+        #region セルダブルクリック
         /// <summary>
         /// セルダブルクリック
         /// </summary>
@@ -515,7 +577,9 @@
             m_BusinessTypeName = CommonMotions.cnvString(dgv.Rows[e.RowIndex].Cells[(int)DispColumn.NameString].Value);
             btnEnd_Click(sender, (EventArgs)e);
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -531,10 +595,13 @@
                 return;
             }
         }
+        #endregion
 
         #endregion
 
         #region プライベートメソッド
+
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -562,7 +629,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -600,12 +669,14 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-      }
+        }
+        #endregion
 
+        #region 法人格マスタデータ登録
         /// <summary>
         /// 法人格マスタデータ登録
         /// </summary>
-        private void BusinessTypeMasterDataEntry()
+        private bool BusinessTypeMasterDataEntry()
         {
             IOMBusinessType uDB = new IOMBusinessType();
             try
@@ -654,7 +725,7 @@
                     {
                         uDB.rollback();
                         MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
+                        return false;
                     }
 
                     if (uList.Count == 0)
@@ -668,7 +739,7 @@
                         {
                             uDB.rollback();
                             MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                     else
@@ -678,7 +749,7 @@
                         {
                             uDB.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                 }
@@ -685,10 +756,13 @@
 
                 // 成功したらcommit
                 uDB.commit();
+
+                return true;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
@@ -695,7 +769,9 @@
                 uDB.close(); uDB = null;
             }
         }
+        #endregion
 
+        #region 法人格マスタ表示
         /// <summary>
         /// 法人格マスタ表示
         /// </summary>
@@ -755,7 +831,9 @@
             }
             return true;
         }
+        #endregion
 
+        #region ボタンの表示・非表示制御
         /// <summary>
         /// ボタンの表示・非表示制御
         /// </summary>
@@ -773,16 +851,19 @@
 
             foreach (Control ctrl in Parent.Controls)
             {
-                if (ctrl.GetType().Equals(typeof(Button)))
-                {
-                    // 終了ボタン以外を制御する
-                    if (ctrl.Name.ToString() != btnEnd.Name.ToString()) ctrl.Visible = bAns;
-                }
+                if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                // 終了ボタン以外を制御する
+                if (ctrl.Name.Equals(btnEnd.Name)) continue;
+
+                ctrl.Visible = bAns;
             }
             // グリッドの読込のみ制御
             dgvMaster.ReadOnly = m_DialogFlg;
         }
+        #endregion
 
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -805,5 +886,35 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                foreach (Control ctrl in this.Controls)
+                {
+                    // ボタンを対象に処理する
+                    if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                    // 終了ボタン以外を制御する
+                    if (ctrl.Name.Equals(btnEnd.Name)) continue;
+
+                    ctrl.Visible = false;
+                }
+                // グリッドの読込のみ制御
+                dgvMaster.ReadOnly = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendar.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendar.cs	(revision 51)
@@ -31,16 +31,6 @@
 
         #endregion
 
-        #region コンストラクタ
-        /// <summary>
-        /// コンストラクタ
-        /// </summary>
-        public FrmCalendar()
-        {
-            InitializeComponent();
-        }
-        #endregion
-
         #region 変数
         /// <summary>
         /// 初期フラグ
@@ -52,8 +42,35 @@
         private bool m_bChengeAns = false;
 
         private CalennderPage m_CalendPage = new CalennderPage();
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
+        #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        public FrmCalendar()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
         #region 画面ロード
         /// <summary>
         /// 画面ロード
@@ -65,14 +82,19 @@
 
             // 営業年度取得
             SetnumUDYear();
-            //Console.WriteLine("S1:" + DateTime.Now.ToString("hh:mm:ss.fff"));
+
             // 初期化
             InitCreatePage();
-            //Console.WriteLine("S2:" + DateTime.Now.ToString("hh:mm:ss.fff"));
+
             // カレンダー表示
             DisplayCalender();
-            //Console.WriteLine("S3:" + DateTime.Now.ToString("hh:mm:ss.fff"));
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             m_bChengeAns = false;
             m_initDataLoad = false;
         }
@@ -116,6 +138,8 @@
 
             if (!HolidayCalenderEntry()) return;
 
+            CommonMotions.EntryEndMessage("会社休日データ");
+
             this.Close();
         }
         #endregion
@@ -140,6 +164,8 @@
 
                 m_bChengeAns = false;
 
+                CommonMotions.RemoveEndMessage("会社休日データ");
+
                 // 終了
                 this.Close();
 
@@ -175,6 +201,9 @@
         /// <param name="e"></param>
         private void lblDayData_DoubleClick(object sender, EventArgs e)
         {
+            // 参照時は処理しない
+            if (m_EditLock) return;
+
             Label lblData = (Label)sender;
             // 色を変える
             if (lblData.BackColor == Color.Red) lblData.BackColor = Color.White;
